<template lang="pug">
.p-4.bg-base-200.shadow.my-4.max-w-3xl.mx-auto(
  v-for="article in list",
  :key="article._path"
)
  .flex.items-start.pt-1
    .flex.flex-col
      .flex.items-center.space-x-1
        icon(name="carbon:pen-fountain")
        p.font-semibold.text-sm {{ article.author }}
      .flex.items-center.space-x-1
        icon(name="carbon:calendar")
        p.text-sm {{ new Date(article.createdAt).toLocaleDateString() }}
      .flex.items-center.space-x-1
        icon(name="carbon:collapse-categories")
        p.text-sm {{ article.category }}
    .flex.flex-1.justify-end.space-x-2
      .flex.items-center.space-x-1
        icon(name="carbon:time")
        p.text-sm {{ $t('label.wordCount', Math.ceil(article.readingTime.words)) }}
      .flex.items-center.space-x-1
        icon(name="carbon:time")
        p.text-sm {{ $t('label.readingTime', Math.ceil(article.readingTime.minutes)) }}
  h2.card-title.py-4
    nuxt-link(:to="article._path") {{ article.title }}
  .flex.overflow-x-auto
    p.font-light.mb-2.badge.bg-base-100.whitespace-nowrap(
      v-for="tag in article.tags",
      :key="tag"
    ) {{ tag }}
  figure.my-4
    nuxt-img.mx-auto(:src="article.image", :alt="article.short")
  div
    p {{ article.description }}
    .card-actions.justify-end.my-4
      nuxt-link.btn.btn-outline.btn-primary.btn-sm(:to="article._path") {{ $t('label.readMore') }}
</template>

<script setup lang="ts">
defineProps({
  list: {
    type: Object,
    required: true,
  },
})
</script>
